# Enum_TypeCode_Static.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`
`#include "tao/Null_RefCount_Policy.h"`

Include dependency graph for Enum_TypeCode_Static.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy >

## Detailed Description

Id
  Enum_TypeCode_Static.h,v 1.2 2005/05/12 00:54:17 ossama Exp

Header file for a static `tk_enum` CORBA::TypeCode.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>